Bug 166901 - gdmgreeter graphical logon crash
gdmgreeter graphical logon crash
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-26 21:07 EDT by morgan read
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 15:45:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Log filtered on "greeter" (3.54 KB, text/plain)
2005-08-26 21:07 EDT, morgan read
no flags Details

  None (edit)
Description morgan read 2005-08-26 21:07:17 EDT
Description of problem:
The graphical greeter is crashing intermitently - it does so 9/10, but every so
often it hangs in there.  When it crashes I get the error: "The greeter program
appears to be crashing.  I will attempt to use a different one."  Which then works.

Version-Release number of selected component (if applicable):
gdm-2.6.0.8-16

How reproducible:
At a guess, 9/10 logons.

Steps to Reproduce:
1. Boot/Reboot; logoff
2.Get error (as above)
3.Logon with "Standard Greeter"
  
Actual results:
"Standard Greeter"

Expected results:
"Graphical Greeter"

Additional info:
Seems bug may be similar to:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138996

Similar reports at FedoraForum (inc mine):
http://forums.fedoraforum.org/forum/showthread.php?t=74806
http://forums.fedoraforum.org/forum/showthread.php?t=61636 (mine doesn't fix
like so)
http://forums.fedoraforum.org/forum/showthread.php?t=74949
Comment 1 morgan read 2005-08-26 21:07:18 EDT
Created attachment 118178 [details]
System Log filtered on "greeter"
Comment 2 John Montgomery 2005-08-29 13:32:10 EDT
(In reply to comment #0)

I am one of the posters in the first Fedora forum thread mentioned above. Said
behavior began after an update which included updates to audit and audit libs.
During shut down I notice some instances of text scrolling by (too fast to read)
regarding audit that end with the warning "Failed!". Hopefully that provides the
devs with some clues. Like morgan read, this behavior is not consistent and
appears to occur for me only after a complete system shutdown, but not during a
restart.

Comment 3 morgan read 2005-08-30 17:04:33 EDT
My last yum update seems to have fixed this for me...
I don't know why, but here's the relavent yum log which will no doubt contain
the reason - HTH...  (I notice audit in there...)
M.

Aug 30 02:23:24 (yumex) Updated: glibc-common.i386 2.3.5-10.3
Aug 30 02:24:15 (yumex) Updated: glibc.i686 2.3.5-10.3
Aug 30 02:24:19 (yumex) Updated: bind-libs.i386 24:9.3.1-10_FC4
Aug 30 02:24:21 (yumex) Updated: bind-utils.i386 24:9.3.1-10_FC4
Aug 30 02:24:27 (yumex) Updated: bind.i386 24:9.3.1-10_FC4
Aug 30 02:24:29 (yumex) Updated: pcre.i386 5.0-4.1.fc4
Aug 30 02:24:34 (yumex) Updated: php.i386 5.0.4-10.4
Aug 30 02:24:50 (yumex) Updated: glibc-headers.i386 2.3.5-10.3
Aug 30 02:24:53 (yumex) Updated: synce.i386 0.9.1-3.fc4
Aug 30 02:24:54 (yumex) Updated: audit-libs.i386 1.0.3-1.fc4
Aug 30 02:25:04 (yumex) Updated: libgal2.i386 2:2.4.3-1.fc4
Aug 30 02:25:12 (yumex) Updated: php-pear.i386 5.0.4-10.4
Aug 30 02:25:13 (yumex) Updated: php-ldap.i386 5.0.4-10.4
Aug 30 02:25:15 (yumex) Updated: bind-chroot.i386 24:9.3.1-10_FC4
Aug 30 02:25:19 (yumex) Updated: cvs.i386 1.11.19-9
Aug 30 02:25:23 (yumex) Updated: audit.i386 1.0.3-1.fc4
Aug 30 02:25:24 (yumex) Updated: php-odbc.i386 5.0.4-10.4
Aug 30 02:25:26 (yumex) Updated: diskdumputils.i386 1.1.9-2
Aug 30 02:25:28 (yumex) Updated: libsoup.i386 2.2.3-4.FC4
Aug 30 02:25:47 (yumex) Updated: system-config-bind.noarch 4.0.0-30_FC4
Aug 30 02:25:49 (yumex) Updated: slocate.i386 2.7-22.fc4.1
Aug 30 02:25:51 (yumex) Updated: synce-devel.i386 0.9.1-3.fc4
Aug 30 02:25:54 (yumex) Updated: MyODBC.i386 2.50.39-25.FC4.1
Aug 30 02:26:06 (yumex) Updated: doxygen.i386 1:1.4.4-0.fc4.1
Aug 30 02:26:08 (yumex) Updated: eject.i386 2.1.1-0.fc4.1
Aug 30 02:26:13 (yumex) Updated: glibc-devel.i386 2.3.5-10.3
Aug 30 02:26:17 (yumex) Updated: tar.i386 1.15.1-8.FC4
Aug 30 02:26:18 (yumex) Updated: php-pgsql.i386 5.0.4-10.4
Aug 30 02:26:19 (yumex) Updated: php-mysql.i386 5.0.4-10.4
Aug 30 02:26:21 (yumex) Updated: redhat-rpm-config.noarch 8.0.34-1.1
Aug 30 02:26:25 (yumex) Updated: dhcpv6_client.i386 0.10-14_FC4
Aug 30 02:26:30 (yumex) Updated: nscd.i386 2.3.5-10.3
Comment 4 Christian Iseli 2007-01-22 06:41:35 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 morgan read 2007-01-22 15:45:24 EST
Change to "worksforme", which it now does.

Note You need to log in before you can comment on or make changes to this bug.